# Class PRS_Administrative
extends PRS_ExchangeElement

PRS_Administrative defines administrative information about associated objects. There must be at least one PRS_Administrative instance associated with a PRS_Solution. Administrative information is inherited from a parent object. If the administrative information among objects within a Solution is not the same, additional PRS_Administrative instances may be associated with other objects within the Solution. All instances under a specific parent inherit their administrative information unless there is an PRS_Administrative instance associated with that instance. For example, if there is a PRS_Administrative instance associated with a PRS_Problem instance, all of the PRS_Statement and PRS_ Product instances within the Problem use the same Administrative information as the PRS_Problem instance.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Administrative

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PRS_Administrative defines administrative information about associated objects. There must be at least one PRS_Administrative instance associated with a PRS_Solution. Administrative information is inherited from a parent object. If the administrative information among objects within a Solution is not the same, additional PRS_Administrative instances may be associated with other objects within the Solution. All instances under a specific parent inherit their administrative information unless there is an PRS_Administrative instance associated with that instance. For example, if there is a PRS_Administrative instance associated with a PRS_Problem instance, all of the PRS_Statement and PRS_ Product instances within the Problem use the same Administrative information as the PRS_Problem instance.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ComplianceLevel | uint16 |
Description | string | Level 0 means all information within a Reference, Problem or Resolution is conveyed by a single PRS_Statement. Level 1 means there may be multiple PRS_Statement instances within a Reference, Problem or Resolution. Level 2 means that a PRS_Statement may be associated with a PRS_Feature instance within a Reference, Problem or Resolution.
ValueMap | string | 0, 1, 2
Copyright | string |
Description | string | Copyright for the associated information.
Disclaimer | string |
Description | string | Disclaimers about the associated information.
Distribution | uint8 |
Description | string | Intended distribution audience for the associated information. If 'Proprietary', information contains proprietary information and is not to be released externally. If 'Internal', information is for internal use only. If 'Partner', information is only available to contracted partners. If 'Public', information is available to anyone.
ValueMap | string | 0, 1, 2, 3, 254, 255
Values | string | Proprietary, Internal, Partner, Public, Other, Unknown
DocumentStatus | uint8 |
Description | string | Editorial status of the document. If 'Draft', information is complete, but unedited. If 'Reviewed', an editorial review has been completed. If 'Published', information has been reviewed and approved for distribution.
ValueMap | string | 0, 1, 2, 254, 255
Values | string | Draft, Reviewed, Published, Other, Unknown
Language | string |
Description | string | Language used in the associated information.
Rights | string |
Description | string | Usage rights for the associated information.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods